Create Deal Custom Field
curl --request POST \
--url https://integration.getmateo.com/api/v1/deal_custom_field \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"date_value": "2023-12-25",
"string_value": "<string>",
"number_value": 123,
"boolean_value": true,
"datetime_value": "<string>",
"string_list_value": [
"<string>"
]
}
'import requests
url = "https://integration.getmateo.com/api/v1/deal_custom_field"
payload = {
"deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"date_value": "2023-12-25",
"string_value": "<string>",
"number_value": 123,
"boolean_value": True,
"datetime_value": "<string>",
"string_list_value": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deal_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
custom_field_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
created_at: 'now()',
updated_at: 'now()',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
key: '<string>',
value: '<string>',
date_value: '2023-12-25',
string_value: '<string>',
number_value: 123,
boolean_value: true,
datetime_value: '<string>',
string_list_value: ['<string>']
})
};
fetch('https://integration.getmateo.com/api/v1/deal_custom_field', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"date_value": "2023-12-25",
"string_value": "<string>",
"number_value": 123,
"boolean_value": true,
"datetime_value": "<string>",
"string_list_value": [
"<string>"
]
}{
"deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"date_value": "2023-12-25",
"string_value": "<string>",
"number_value": 123,
"boolean_value": true,
"datetime_value": "<string>",
"string_list_value": [
"<string>"
]
}This response has no body data.Deal Custom Field
Create Deal Custom Field
Create a new deal custom field
Create Deal Custom Field
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filtering Columns
Body
application/json
deal_custom_field
Deal ID
Custom field ID
Deal custom field creation date
Latest update
Organisation ID
Deal custom field key
Value of deal custom field
Date value
String value
Number value
Boolean value
Datetime value
String list value
Response
The updated Deal Custom Field object
Deal ID
Custom field ID
Deal custom field creation date
Latest update
Organisation ID
Deal custom field key
Value of deal custom field
Date value
String value
Number value
Boolean value
Datetime value
String list value
⌘I